# Interface EarModule

All Known Subinterfaces:
  `EarWebModule`

public interface EarModule
A module element in a deployment descriptor like application.xml.

Since:
  1.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAltDeployDescriptor()`
  The alt-dd element specifies an optional URI to the post-assembly version of the deployment descriptor file for a particular Java EE module.
  `String`
  `getPath()`
  The connector element specifies the URI of an archive file, relative to the top level of the application package.
  `void`
  `setAltDeployDescriptor(String altDeployDescriptor)`
  Sets the alt deploy descriptor.
  `void`
  `setPath(String path)`
  Sets the path.
  `Node`
  `toXmlNode(Node parentModule, Object name)`
  Convert this object to an XML Node (or two nodes if altDeployDescriptor is not null).

- ## Method Details

  - ### getPath

    String getPath()
    The connector element specifies the URI of an archive file, relative to the top level of the application package.
    Since:
      1.0

  - ### setPath

    void setPath(String path)
    Sets the path.
    Since:
      1.0

  - ### getAltDeployDescriptor

    String getAltDeployDescriptor()
    The alt-dd element specifies an optional URI to the post-assembly version of the deployment descriptor file for a particular Java EE module. The URI must specify the full pathname of the deployment descriptor file relative to the application's root directory. If alt-dd is not specified, the deployer must read the deployment descriptor from the default location and file name required by the respective component specification.
    Since:
      1.0

  - ### setAltDeployDescriptor

    void setAltDeployDescriptor(String altDeployDescriptor)
    Sets the alt deploy descriptor.
    Since:
      1.0

  - ### toXmlNode

    Node toXmlNode(Node parentModule, Object name)
    Convert this object to an XML Node (or two nodes if altDeployDescriptor is not null).
    Parameters:
      `parentModule` - The parent <module> node to add this node to.
      `name` - The name of this node.
    Returns:
      The new node. If an <alt-dd> node is created it is not returned.
    Since:
      1.0